XnPlayerInputStreamInterface Struct Reference

`#include <XnTypes.h>`

## Public Attributes

XnStatus(* | Open )(void *pCookie)
XnStatus(* | Read )(void *pCookie, void *pBuffer, XnUInt32 nSize, XnUInt32 *pnBytesRead)
XnStatus(* | Seek )(void *pCookie, XnOSSeekType seekType, const XnInt32 nOffset)
XnUInt32(* | Tell )(void *pCookie)
void(* | Close )(void *pCookie)
XnStatus(* | Seek64 )(void *pCookie, XnOSSeekType seekType, const XnInt64 nOffset)
XnUInt64(* | Tell64 )(void *pCookie)

## Detailed Description

An interface used for communication between OpenNI and a player module. This interface is used by a player module to receive recorded data from OpenNI, which knows where to get them according to one of the values of XnRecordMedium.

## Member Data Documentation

## Close

void(* XnPlayerInputStreamInterface::Close) (void *pCookie)

Closes the stream.

Parameters

  pCookie | [in] A cookie that was received with this interface.

## Open

XnStatus(* XnPlayerInputStreamInterface::Open) (void *pCookie)

Opens the stream for reading.

Parameters

  pCookie | [in] A cookie that was received with this interface.

## Read

XnStatus(* XnPlayerInputStreamInterface::Read) (void *pCookie, void *pBuffer, XnUInt32 nSize, XnUInt32 *pnBytesRead)

Reads data from the stream. May read less data than asked, if the stream is near its end. This is not considered an error.

Parameters

  pCookie | [in] A cookie that was received with this interface.
  pBuffer | [out] A pointer to the buffer to read into.
  nSize | [in] Number of bytes to read.
  pnBytesRead | [out] Optional. Number of bytes actually read.

## Seek

XnStatus(* XnPlayerInputStreamInterface::Seek) (void *pCookie, XnOSSeekType seekType, const XnInt32 nOffset)

Sets the stream's pointer to the specified position.

Parameters

  pCookie | [in] A cookie that was received with this interface.
  seekType | [in] Specifies how to seek - according to current position, end or beginning.
  nOffset | [in] Specifies how many bytes to move

## Seek64

XnStatus(* XnPlayerInputStreamInterface::Seek64) (void *pCookie, XnOSSeekType seekType, const XnInt64 nOffset)

Sets the stream's pointer to the specified position. (64bit version, for large files)

Parameters

  pCookie | [in] A cookie that was received with this interface.
  seekType | [in] Specifies how to seek - according to current position, end or beginning.
  nOffset | [in] Specifies how many bytes to move

## Tell

XnUInt32(* XnPlayerInputStreamInterface::Tell) (void *pCookie)

Tells the current stream position

Parameters

  pCookie | [in] A cookie that was received with this interface.

Returns
  (XnUInt32)-1 if there was an error in the stream.

## Tell64

XnUInt64(* XnPlayerInputStreamInterface::Tell64) (void *pCookie)

Tells the current position in the stream. (64bit version, for large files)

Parameters

  pCookie | [in] A cookie that was received with this interface.
  pPos | [out] The position of the stream.

Returns
  (XnUInt64)-1 on error.

The documentation for this struct was generated from the following file:

- XnTypes.h